Eina_Debug_Opcode Struct Reference
Eina_Debug

Structure to describe information for an opcode. More...

`#include <eina_debug.h>`

## Data Fields

char * | opcode_name
| Opcode string.
int * | opcode_id
| A pointer to store the opcode id received from the daemon.
Eina_Debug_Cb | cb
| Callback to call when a packet corresponding to the opcode is received.

## Detailed Description

Structure to describe information for an opcode.

It is used to register new opcodes.

## Field Documentation

## opcode_name

char* Eina_Debug_Opcode::opcode_name

Opcode string.

On registration, the daemon uses it to calculate an opcode id